
from PyQt5 import QtWidgets
from PyQt5.QtGui import QStandardItemModel, QStandardItem

from ArtNet.gui.dialogs.image_info_dialog.image_info_dialog import Ui_Dialog


class ArtInfoDialog(QtWidgets.QDialog):
    """
    Dialog popup to display more detailed information about a given Art Entry
    """

    def __init__(self, parent=None):
        super().__init__(parent)
        self.ui = Ui_Dialog()
        self.ui.setupUi(self)

    def set_image_info(self, image_title: str, presences: str, path: str, artists: str, collections: str, source: str):
        """
        Set the image info of this dialog.
        """
        self.ui.table_view

        self.ui.table_view.setModel()

